
PYROS - Actions #3430
Integrate the Planner app from old pyros into new pyros
04/01/2016 03:52 pm - Etienne Pallier

Status: Fermé Start date: 04/01/2016
Priority: Normal Due date:
Assignee: Paul Carensac % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Version 0.02 - Integrate Scheduler module into new structureSpent time: 0.00 hour
Description

1) Integrate it into the new pyros, and get it accessible from the Dashboard
2) Adapt it to the new database
3) Adapt and improve tests
4) Run simulator
5) update wiki for this new app

History
#1 - 04/06/2016 10:23 am - Paul Carensac
- Status changed from Nouveau to En cours
- % Done changed from 0 to 10

Lecture et compréhension du code OK

Prévision mercredi et jeudi : adaptation du module à pyros avec modification de la db etc.

Prévision vendredi : faire des jeux de test pour le nouveau module 'Scheduler'

#2 - 04/07/2016 06:08 pm - Paul Carensac
- % Done changed from 10 to 50

Intégration de tout le module de plannification, qui organise les séquences et les enregistre dans la base de données.

Reste à faire :
 - ajouter des tests sur les paramètres dans les fonctions et renvoyer des exceptions si need
 - faire masse tests des différentes fonctions principales de la calsse Scheduler
 - créer l'interface web correspondante, et la lier au dashboard

#3 - 04/11/2016 04:57 pm - Paul Carensac
- % Done changed from 50 to 70

Tous les tests sont faits (et fonctionnent)

Next steps :
 - mettre à jour le wiki pour rajouter tout ce qui concerne le scheduler
 - créer l'interface web, et la lier au dashboard
#4 - 04/11/2016 05:41 pm - Paul Carensac
- % Done changed from 70 to 80

Wiki done

Next step :
 - Faire l'appli web pour montrer le planning actuel

#5 - 04/11/2016 06:12 pm - Etienne Pallier
- Target version changed from Version 0.01 - Multi-platform skeleton easy install to Version 0.02 - Integrate Scheduler module into new structure

#6 - 04/12/2016 04:29 pm - Paul Carensac
- % Done changed from 80 to 100

Création de l'appli pour montrer el planning actuel
Création du simulateur  + tests et debug en conséquent

Scheduler semble tout à fait fonctionnel

Wiki mis à jour
Push effectué

#7 - 04/13/2016 12:07 pm - Paul Carensac
- Status changed from En cours to Fermé

status --> closed
